
EXPERT ROOT - Developing #78

Общие классы симуляции и диджитизации для простой универсальной геометрии детектора

10/03/2017 03:58 PM - Vitaliy Schetinin

Status: Закрыта Start date: 10/03/2017

Priority: Низкий Due date:  

Assignee: Vitaliy Schetinin % Done: 0%

Category: Base Estimated time: 0.00 hour

Target version: v-0.4   

Description

Необходимо разработать базовый класс симуляции: ERDetector для простой симуляции. С возможностью настройки в

макросе.

Класс должен поддерживать следующий интерфейс:

ERDetector* detector = new ERDetector("Detector Name");

detector->SetGeometryFileName("geom.root");

detector->AddSensetive("SenVolName1");

detector->AddSensetive("SenVolName2");

 

В результате работы в файле sim.root будет набор из веток поинтов класса ERPoint. В ERPoint будет записан номар копии

текущего Sensetive объема, по которому можно будет в диджитизации поинты асемблировать.

Необходимо разработать базовый класс диджитизации: ERDigitizator для простой диджитизации. Интерфейс следующий:

ERDigitizator* digitizator = new ERDigitizator("Detector Name");

digitizator->SetEdepGausError("SenVolName1",sigma);

digitizator->SetTimeGausError("SenVolName1",sigma);

History

#1 - 10/03/2017 06:35 PM - Sergey Belogurov

Я бы сразу заложил модель разрешения с тремя параметрами для квадратичного сложения трех слагаемых: 1) постоянной сигмы 2) сигмы,

пропорциональной корню из энерговыделения в детекторе 3) сигмы, пропорциональной энерговыделению.  Для кремния мы возьмем

первый член, а для газа второй и третий.  Еще велика вероятность создания простого детектора из сцинтиллятора. в этом случае, хорошо,

чтобы дижитизация умела работать с двумя переменными по выбору пользователя - edep и lightyield. Тогда простая симуляция должна

содержать (возможно в комментах) уже написанный вами закон Биркса.

#2 - 11/03/2017 03:44 PM - Vitaliy Schetinin

- Status changed from Открыта to Закрыта
